"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base64 = require("base64-js");
var text_encoder_lite_module_1 = require("text-encoder-lite-module");
var WebSocketWrapper = (function () {
    function WebSocketWrapper(url) {
        this.url = url;
        this.textEncoder = new text_encoder_lite_module_1.TextEncoderLite();
        this.textDecoder = new text_encoder_lite_module_1.TextDecoderLite();
    }
    WebSocketWrapper.prototype.connect = function (receive) {
        var _this = this;
        this.wsClient = new WebSocket(this.url, ['base64']);
        this.wsClient.onmessage = function (e) { return receive(_this.textDecoder.decode(base64.toByteArray(e.data))); };
    };
    WebSocketWrapper.prototype.send = function (msg) {
        this.wsClient.send(base64.fromByteArray(this.textEncoder.encode(msg)));
    };
    WebSocketWrapper.prototype.disconnect = function () {
        this.wsClient.close();
    };
    return WebSocketWrapper;
}());
exports.WebSocketWrapper = WebSocketWrapper;
//# sourceMappingURL=socketWrapper.js.map